{
   "format_version":"1.10.0",
   "minecraft:client_entity":{
      "description":{
         "identifier":"sgs_farm:tractor",
         "materials":{
            "default":"zombie"
         },
         "textures":{
            "default":"textures/sgs/farm/entity/tractor/tractor_red",
			"harvest":"textures/sgs/farm/entity/tractor/mach_harvest",
			"plough":"textures/sgs/farm/entity/tractor/mach_plough",
			"seed":"textures/sgs/farm/entity/tractor/mach_seed"
         },
         "geometry":{
            "default":"geometry.sgs_farm_ent_tractor",
			"harvest":"geometry.sgs_farm_ent_mach_harvest",
			"plough":"geometry.sgs_farm_ent_mach_plough",
			"seed":"geometry.sgs_farm_ent_mach_seed"
         },
		 "particle_effects":{
			"engine_smoke":"sgs_farm:engine_smoke"
		 },
         "animations":{
		  "idle": "animation.sgs_farms_ent_tractor.idle",
		  "engine": "animation.sgs_farms_ent_tractor.engine",
		  "backfire": "animation.sgs_farms_ent_tractor.backfire",
		  "move": "animation.sgs_farms_ent_tractor.move",
		  
		  "harvest_move": "animation.sgs_farms_ent_mach_harvest.move",
		  "plough_move": "animation.sgs_farms_ent_mach_plough.move",
		  "seed_move": "animation.sgs_farms_ent_mach_seed.move",
		  
		  "harvest_interact": "animation.sgs_farms_ent_mach_harvest.interact",
		  "plough_interact": "animation.sgs_farms_ent_mach_plough.interact",
		  "seed_interact": "animation.sgs_farms_ent_mach_seed.interact",
		  
		  "control_move": "controller.animation.sgs_farm.move",
		  "control_jump": "controller.animation.sgs_farm.tractor_jump"
         },
         "scripts":{
            "animate":[
               "control_move",
			   "control_jump",
			   {"engine": "query.has_player_rider"},
			   {"harvest_interact": "query.property('sgs_farm:tool_active') && query.property('sgs_farm:harvest')"},
			   {"plough_interact": "query.property('sgs_farm:tool_active') && query.property('sgs_farm:plough')"},
			   {"seed_interact": "query.property('sgs_farm:tool_active') && query.property('sgs_farm:seed')"}
            ]
         },
         "spawn_egg":{
            "texture":"sgs_farm_tractor"
         },
         "enable_attachables":false,
         "render_controllers":[
            "controller.render.sgs_farm.default",
			{"controller.render.sgs_farm.seed": "query.property('sgs_farm:seed')"},
			{"controller.render.sgs_farm.harvest": "query.property('sgs_farm:harvest')"},
			{"controller.render.sgs_farm.plough": "query.property('sgs_farm:plough')"}
         ]
      }
   }
}